Index: trunk/src/SIMULS_IRCAAM/composite_hgt500_TROP_eof1_30100.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_hgt500_TROP_eof1_30100.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_hgt500_TROP_eof1_30100.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 
 load hgt500_trop.mat
@@ -12,17 +15,21 @@
 hgt500b(:,:,:,1:64)=hgt500(:,:,:,65:128);
 hgt500b(:,:,:,65:128)=hgt500(:,:,:,1:64);
-clear hgt500;  hgt500=hgt500b; clear hgt500b
+clear hgt500;
+hgt500=hgt500b;
+clear hgt500b;
 
 % on desaisonalise
 hgt1=permute(hgt500,[2 1 3 4]);
-hgt2(:,:,:)=nanmean(hgt1); clear hgt1;
+hgt2(:,:,:)=nanmean(hgt1);
+clear hgt1;
 hgt3=reshape(hgt500, 3538,64,128);
-hgt4(:,:)=nanmean(hgt3); clear hgt3;
+hgt4(:,:)=nanmean(hgt3);
+clear hgt3;
 
 for a=1:122;
    for b=1:28;
       for c=1:37;
-         for d=1:128; 
-             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));                
+         for d=1:128;
+             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));
          end;
       end;
@@ -31,35 +38,38 @@
 clear hgt2 hgt4;
 
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 load eof1_TR_30100.txt
 
 % on met sous la forme annee mois
-hgt500_eof=reshape(eof1_TR_30100,122,29); clear eof1_TR_30100;
+hgt500_eof=reshape(eof1_TR_30100,122,29);
+clear eof1_TR_30100;
 
 % on calcule l ecart type sur la serie temporelle de l HGT500
-k=122*29; 
+k=122*29;
 hgt500bis=reshape(hgt500_eof,k,1);
-hgt500bis=std(hgt500bis); 
+hgt500bis=std(hgt500bis);
 
 % intialisation des tableaux
-hgt500_filtre_compomax=NaN*ones(50,31,64,128); 
+hgt500_filtre_compomax=NaN*ones(50,31,64,128);
 hgt500_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:29; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:29;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=hgt500_eof(b,a)-hgt500_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && hgt500_eof(b,a)>(hgt500bis)); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && hgt500_eof(b,a)>(hgt500bis));
             compteurmax=compteurmax+1;
           hgt500_filtre_compomax(compteurmax,1,:,:)=hgt500(b-20,a,:,:);
@@ -96,5 +106,5 @@
             hgt500_filtre_compomax(compteurmax,30,:,:)=hgt500(b+9,a,:,:);
             hgt500_filtre_compomax(compteurmax,31,:,:)=hgt500(b+10,a,:,:);
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && hgt500_eof(b,a)<(hgt500bis));
             compteurmin=compteurmin+1;
@@ -135,5 +145,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 hgt500_filtre_compomin=hgt500_filtre_compomin(1:compteurmin,:,:,:);
@@ -142,12 +152,15 @@
 % on fait la somme des valeurs de hgt500_filtreentiel sur le nbre d occurences
 % on obtent un tableau de la forme (jours-avant-apres,lon,lat)
-hgt500_filtre_compomin1(:,:,:)=mean(hgt500_filtre_compomin); clear hgt500_filtre_compomin;
-hgt500_filtre_compomax1(:,:,:)=mean(hgt500_filtre_compomax); clear hgt500_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+hgt500_filtre_compomin1(:,:,:)=mean(hgt500_filtre_compomin);
+clear hgt500_filtre_compomin;
+hgt500_filtre_compomax1(:,:,:)=mean(hgt500_filtre_compomax);
+clear hgt500_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -175,5 +188,5 @@
        delta_hgt500_filtre_min(1,2)=100.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -183,24 +196,26 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[30:10:70],'YTickLabel',['30N';'40N';'50N';'60N';'70N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'ytick',[-80:40:80],'yticklabel',[-80:40:80],'fontname','Arial','fontsize',5);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 20 80]);
-       if e==7;      
+       if e==7;
       title('HGT500 composite EOF1 30100j simulation TROP ','fontsize',8) ;
        end
        text(-270,40,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 print -depsc2 composite_hgt500_trop_eof1_30100a.eps
 
-figure(2); orient('landscape');
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -228,5 +243,5 @@
        delta_hgt500_filtre_min(1,2)=100.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -236,11 +251,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[30:10:70],'YTickLabel',['30N';'40N';'50N';'60N';'70N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'ytick',[-80:40:80],'yticklabel',[-80:40:80],'fontname','Arial','fontsize',5);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -251,8 +267,5 @@
        text(-270,40,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 print -depsc2 composite_hgt500_trop_eof1_30100b.eps
-
-
-
Index: trunk/src/SIMULS_IRCAAM/composite_hgt500_TROP_eof2_1030.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_hgt500_TROP_eof2_1030.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_hgt500_TROP_eof2_1030.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 
 load hgt500_trop.mat
@@ -12,18 +15,21 @@
 hgt500b(:,:,:,1:64)=hgt500(:,:,:,65:128);
 hgt500b(:,:,:,65:128)=hgt500(:,:,:,1:64);
-clear hgt500;  hgt500=hgt500b; clear hgt500b
-
+clear hgt500;
+hgt500=hgt500b;
+clear hgt500b;
 
 % on desaisonalise
 hgt1=permute(hgt500,[2 1 3 4]);
-hgt2(:,:,:)=nanmean(hgt1); clear hgt1;
+hgt2(:,:,:)=nanmean(hgt1);
+clear hgt1;
 hgt3=reshape(hgt500, 3538,64,128);
-hgt4(:,:)=nanmean(hgt3); clear hgt3;
+hgt4(:,:)=nanmean(hgt3);
+clear hgt3;
 
 for a=1:122;
    for b=1:28;
       for c=1:37;
-         for d=1:128; 
-             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));                
+         for d=1:128;
+             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));
          end;
       end;
@@ -32,36 +38,38 @@
 clear hgt2 hgt4;
 
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 load eof2_TR_1030.txt
 
 % on met sous la forme annee mois
-hgt500_eof=reshape(eof2_TR_1030,122,29); clear eof2_TR_1030;
+hgt500_eof=reshape(eof2_TR_1030,122,29);
+clear eof2_TR_1030;
 
 % on calcule l ecart type sur la serie temporelle de l HGT500
-k=122*29; 
+k=122*29;
 hgt500bis=reshape(hgt500_eof,k,1);
-hgt500bis=std(hgt500bis); 
+hgt500bis=std(hgt500bis);
 
 % intialisation des tableaux
-hgt500_filtre_compomax=NaN*ones(50,31,64,128); 
+hgt500_filtre_compomax=NaN*ones(50,31,64,128);
 hgt500_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:29; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:29;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=hgt500_eof(b,a)-hgt500_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)>0 && hgt500_eof(b,a)>(hgt500bis)); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)>0 && hgt500_eof(b,a)>(hgt500bis));
             compteurmax=compteurmax+1;
           hgt500_filtre_compomax(compteurmax,1,:,:)=hgt500(b-20,a,:,:);
@@ -98,5 +106,5 @@
             hgt500_filtre_compomax(compteurmax,30,:,:)=hgt500(b+9,a,:,:);
             hgt500_filtre_compomax(compteurmax,31,:,:)=hgt500(b+10,a,:,:);
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)<0 && hgt500_eof(b,a)<(hgt500bis));
             compteurmin=compteurmin+1;
@@ -137,5 +145,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 hgt500_filtre_compomin=hgt500_filtre_compomin(1:compteurmin,:,:,:);
@@ -144,12 +152,15 @@
 % on fait la somme des valeurs de hgt500_filtreentiel sur le nbre d occurences
 % on obtent un tableau de la forme (jours-avant-apres,lon,lat)
-hgt500_filtre_compomin1(:,:,:)=mean(hgt500_filtre_compomin); clear hgt500_filtre_compomin;
-hgt500_filtre_compomax1(:,:,:)=mean(hgt500_filtre_compomax); clear hgt500_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+hgt500_filtre_compomin1(:,:,:)=mean(hgt500_filtre_compomin);
+clear hgt500_filtre_compomin;
+hgt500_filtre_compomax1(:,:,:)=mean(hgt500_filtre_compomax);
+clear hgt500_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -177,5 +188,5 @@
        delta_hgt500_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -185,24 +196,26 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[30:10:70],'YTickLabel',['30N';'40N';'50N';'60N';'70N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 20 80]);
-       if e==7;      
+       if e==7;
       title('HGT500 composite EOF2 1030j simulation TROP ','fontsize',8) ;
        end
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 print -depsc2 composite_hgt500_trop_eof2_1030a.eps
 
-figure(2); orient('landscape');
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -230,5 +243,5 @@
        delta_hgt500_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -238,11 +251,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[30:10:70],'YTickLabel',['30N';'40N';'50N';'60N';'70N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -253,8 +267,5 @@
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 print -depsc2 composite_hgt500_trop_eof2_1030b.eps
-
-
-
Index: trunk/src/SIMULS_IRCAAM/composite_hgt500_TROP_eof2_30100.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_hgt500_TROP_eof2_30100.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_hgt500_TROP_eof2_30100.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 
 load hgt500_trop.mat
@@ -12,18 +15,21 @@
 hgt500b(:,:,:,1:64)=hgt500(:,:,:,65:128);
 hgt500b(:,:,:,65:128)=hgt500(:,:,:,1:64);
-clear hgt500;  hgt500=hgt500b; clear hgt500b
-
+clear hgt500;
+hgt500=hgt500b;
+clear hgt500b;
 
 % on desaisonalise
 hgt1=permute(hgt500,[2 1 3 4]);
-hgt2(:,:,:)=nanmean(hgt1); clear hgt1;
+hgt2(:,:,:)=nanmean(hgt1);
+clear hgt1;
 hgt3=reshape(hgt500, 3538,64,128);
-hgt4(:,:)=nanmean(hgt3); clear hgt3;
+hgt4(:,:)=nanmean(hgt3);
+clear hgt3;
 
 for a=1:122;
    for b=1:28;
       for c=1:37;
-         for d=1:128; 
-             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));                
+         for d=1:128;
+             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));
          end;
       end;
@@ -32,39 +38,38 @@
 clear hgt2 hgt4;
 
-
-
-
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 load eof2_TR_30100.txt
 
 % on met sous la forme annee mois
-hgt500_eof=reshape(eof2_TR_30100,122,29); clear eof2_TR_30100;
+hgt500_eof=reshape(eof2_TR_30100,122,29);
+clear eof2_TR_30100;
 
 % on calcule l ecart type sur la serie temporelle de l HGT500
-k=122*29; 
+k=122*29;
 hgt500bis=reshape(hgt500_eof,k,1);
-hgt500bis=std(hgt500bis); 
+hgt500bis=std(hgt500bis);
 
 % intialisation des tableaux
-hgt500_filtre_compomax=NaN*ones(50,31,64,128); 
+hgt500_filtre_compomax=NaN*ones(50,31,64,128);
 hgt500_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:29; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:29;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=hgt500_eof(b,a)-hgt500_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)>0 && hgt500_eof(b,a)>(hgt500bis)); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)>0 && hgt500_eof(b,a)>(hgt500bis));
             compteurmax=compteurmax+1;
           hgt500_filtre_compomax(compteurmax,1,:,:)=hgt500(b-20,a,:,:);
@@ -101,5 +106,5 @@
             hgt500_filtre_compomax(compteurmax,30,:,:)=hgt500(b+9,a,:,:);
             hgt500_filtre_compomax(compteurmax,31,:,:)=hgt500(b+10,a,:,:);
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)<0 && hgt500_eof(b,a)<(hgt500bis));
             compteurmin=compteurmin+1;
@@ -140,5 +145,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 hgt500_filtre_compomin=hgt500_filtre_compomin(1:compteurmin,:,:,:);
@@ -147,12 +152,15 @@
 % on fait la somme des valeurs de hgt500_filtreentiel sur le nbre d occurences
 % on obtent un tableau de la forme (jours-avant-apres,lon,lat)
-hgt500_filtre_compomin1(:,:,:)=mean(hgt500_filtre_compomin); clear hgt500_filtre_compomin;
-hgt500_filtre_compomax1(:,:,:)=mean(hgt500_filtre_compomax); clear hgt500_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+hgt500_filtre_compomin1(:,:,:)=mean(hgt500_filtre_compomin);
+clear hgt500_filtre_compomin;
+hgt500_filtre_compomax1(:,:,:)=mean(hgt500_filtre_compomax);
+clear hgt500_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -180,5 +188,5 @@
        delta_hgt500_filtre_min(1,2)=100.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -188,24 +196,26 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[30:10:70],'YTickLabel',['30N';'40N';'50N';'60N';'70N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'ytick',[-80:40:80],'yticklabel',[-80:40:80],'fontname','Arial','fontsize',5);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 20 80]);
-       if e==7;      
+       if e==7;
       title('HGT500 composite EOF2 30100j simulation TROP ','fontsize',8) ;
        end
        text(-270,40,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 print -depsc2 composite_hgt500_trop_eof2_30100a.eps
 
-figure(2); orient('landscape');
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -233,5 +243,5 @@
        delta_hgt500_filtre_min(1,2)=100.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -241,11 +251,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[30:10:70],'YTickLabel',['30N';'40N';'50N';'60N';'70N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'ytick',[-80:40:80],'yticklabel',[-80:40:80],'fontname','Arial','fontsize',5);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -256,8 +267,5 @@
        text(-270,40,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 print -depsc2 composite_hgt500_trop_eof2_30100b.eps
-
-
-
Index: trunk/src/SIMULS_IRCAAM/composite_olr_AFR_eof1_1030.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_olr_AFR_eof1_1030.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_olr_AFR_eof1_1030.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 olr=zeros(122,29,64,128);
 
@@ -88,5 +91,6 @@
 
 ncload('rlut_d.AfNQIVIV.200006-09.nc','rlut','lat','lon');
-olr(:,29,:,:)=rlut; clear rlut;
+olr(:,29,:,:)=rlut;
+clear rlut;
 
 % selction du domaine geographique
@@ -95,35 +99,39 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr;
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 load eof1_AFR_1030.txt
 
 % on met sous la forme annee mois
-olr_eof=reshape(eof1_AFR_1030,122,29); clear eof1_AFR_1030;
+olr_eof=reshape(eof1_AFR_1030,122,29);
+clear eof1_AFR_1030;
 
 % on calcule l ecart type sur la serie temporelle de l OLR
-k=122*29; 
+k=122*29;
 olrbis=reshape(olr_eof,k,1);
-olrbis=std(olrbis); 
+olrbis=std(olrbis);
 
 % intialisation des tableaux
-olr_filtre_compomax=NaN*ones(50,31,64,128); 
+olr_filtre_compomax=NaN*ones(50,31,64,128);
 olr_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:29; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:29;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=olr_eof(b,a)-olr_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>(olrbis)); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>(olrbis));
             compteurmax=compteurmax+1;
           olr_filtre_compomax(compteurmax,1,:,:)=olr1(b-20,a,:,:);
@@ -160,5 +168,5 @@
             olr_filtre_compomax(compteurmax,30,:,:)=olr1(b+9,a,:,:);
             olr_filtre_compomax(compteurmax,31,:,:)=olr1(b+10,a,:,:);
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)<0 && olr_eof(b,a)<(-olrbis));
             compteurmin=compteurmin+1;
@@ -199,5 +207,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 % on fait le test de Student
@@ -217,12 +225,15 @@
 % on fait la somme des valeurs de olr_filtreentiel sur le nbre d occurences
 % on obtent un tableau de la forme (jours-avant-apres,lon,lat)
-olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin); clear olr_filtre_compomin;
-olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax); clear olr_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin);
+clear olr_filtre_compomin;
+olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax);
+clear olr_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -255,5 +266,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -263,25 +274,28 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 -20 40]);
-       if e==7;      
-      title('OLR composite EOF1 1030j simulation AFR ','fontsize',8) ;
+       if e==7;
+          title('OLR composite EOF1 1030j simulation AFR ','fontsize',8) ;
        end
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(1); print -depsc2 composite_olr_EOF1_1030j_simulation_AFR_part1.eps;
-
-figure(2); orient('landscape');
+figure(1);
+print -depsc2 composite_olr_EOF1_1030j_simulation_AFR_part1.eps;
+
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -314,5 +328,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -322,11 +336,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -337,9 +352,7 @@
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(2); print -depsc2 composite_olr_EOF1_1030j_simulation_AFR_part2.eps;
-
-
-
+figure(2);
+print -depsc2 composite_olr_EOF1_1030j_simulation_AFR_part2.eps;
Index: trunk/src/SIMULS_IRCAAM/composite_olr_AFR_eof1_30100.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_olr_AFR_eof1_30100.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_olr_AFR_eof1_30100.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 olr=zeros(122,29,64,128);
 
@@ -95,35 +98,39 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr;
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 load eof1_AFR_30100.txt
 
 % on met sous la forme annee mois
-olr_eof=reshape(eof1_AFR_30100,122,29); clear eof1_AFR_30100;
+olr_eof=reshape(eof1_AFR_30100,122,29);
+clear eof1_AFR_30100;
 
 % on calcule l ecart type sur la serie temporelle de l OLR
-k=122*29; 
+k=122*29;
 olrbis=reshape(olr_eof,k,1);
-olrbis=std(olrbis); 
+olrbis=std(olrbis);
 
 % intialisation des tableaux
-olr_filtre_compomax=NaN*ones(50,31,64,128); 
+olr_filtre_compomax=NaN*ones(50,31,64,128);
 olr_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:29; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:29;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=olr_eof(b,a)-olr_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>(olrbis)); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>(olrbis));
             compteurmax=compteurmax+1;
           olr_filtre_compomax(compteurmax,1,:,:)=olr1(b-20,a,:,:);
@@ -160,5 +167,5 @@
             olr_filtre_compomax(compteurmax,30,:,:)=olr1(b+9,a,:,:);
             olr_filtre_compomax(compteurmax,31,:,:)=olr1(b+10,a,:,:);
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)<0 && olr_eof(b,a)<(-olrbis));
             compteurmin=compteurmin+1;
@@ -199,5 +206,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 % on fait le test de Student
@@ -217,12 +224,15 @@
 % on fait la somme des valeurs de olr_filtreentiel sur le nbre d occurences
 % on obtent un tableau de la forme (jours-avant-apres,lon,lat)
-olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin); clear olr_filtre_compomin;
-olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax); clear olr_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin);
+clear olr_filtre_compomin;
+olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax);
+clear olr_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -255,5 +265,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -263,25 +273,28 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 -20 40]);
-       if e==7;      
+       if e==7;
       title('OLR composite EOF1 30100j simulation AFR ','fontsize',8) ;
        end
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(1); print -depsc2 composite_olr_EOF1_30100j_simulation_AFR_part1.eps;
-
-figure(2); orient('landscape');
+figure(1);
+print -depsc2 composite_olr_EOF1_30100j_simulation_AFR_part1.eps;
+
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -314,5 +327,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -322,11 +335,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -337,9 +351,7 @@
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(2); print -depsc2 composite_olr_EOF1_30100j_simulation_AFR_part2.eps;
-
-
-
+figure(2);
+print -depsc2 composite_olr_EOF1_30100j_simulation_AFR_part2.eps;
